// Default RQ3 Server Configuration File 
// Double slashes are used for comments and to keep commands from running.
// Remove the slashes before a specific to run that command. 

// Non-standard cvars for server ping tools
//sets Website "http://www.reactionquake3.com/"
//sets Location "YourTown, USA"
//sets Admin "cf@reactionquake3.com"
//sets Connection "T-1"

// set host name that shows up in server list. 
seta sv_hostname "My very own RQ3 v3.1 - Teamplay" 

// set message of the day that players see while connecting to the server. Must be set before 
// level loads.
seta g_motd "RQ3 v3.1 - Teamplay" 

// Toggle Unlagged on/off server side (0 -  off/1 - on)
seta g_delagHitscan 1

// Toggles Unlagged Server-side trueping - More accurate than hardware ping
seta g_truePing 1 

// 0 = FFA, 4 = TP, 5 = CTB
seta g_gametype 4 

// Toggles TP/DM Style weapon/item selection in TeamDM (0 - TP style/1 - DM style)
seta g_RQ3_tdmMode 0

// set voting. 1=on, 0=off (Default: 1) 
seta g_allowvote 0 

// set how many times a client can vote each map rotation (default: 3)
seta g_RQ3_maxClientVotes 2

// set time to wait after maxClientvotes is hit to issue another vote
seta g_RQ3_vote_waittime 30

// set friendly fire mode. 1=on, 0=off (Default: 0)
seta g_friendlyfire 0

seta g_logsync "0" 

// turn on banning by ip
seta g_filterban 1

// name your logging file
seta g_log "rq3_server.log"

// turn on/off pak cheat check. 1=on, 0=off (Default: 1) 
seta sv_pure 1

// set fraglimit. Set to 0 for no limit. 
seta fraglimit 0

// set timelimit. Set to 0 for no limit. 
seta timelimit 20 

// set the spawn farthest dmflag
seta dmflags 512

// set Maximum number of clients 
seta sv_maxclients 16

// change this to 1 to allow clients to download paks from your server
seta sv_allowdownloads 0 

// here you can set the server rcon password (DO THIS!)
//seta rconpassword "changeme"

// this is for private games. only clients with this password can connect (blank means no password)
//seta g_password "changeme"

// set max allowable rate for a client. 8000 to 10000 recommended. Max: 25000 (Default: 0) 
seta sv_maxRate 10000 

// set requirement for client password. 1=require password, 0=no password required (Default: 0) 
seta sv_privateClients 0

// set password for private server "" for no password 
seta sv_privatePassword "changeme" 

// Enables message flood checking. (0 - disabled, 1 - enabled (default))
seta sv_RQ3_messageProtect 1

// Time interval in seconds for message flood check after a 
// client's first message is sent. If sv_RQ3_messageMaxCount 
// is exceeded in this interval, the player is given a warning 
// or banned from messaging for a period of time. 
seta sv_RQ3_messageInterval 1

// Max number of messages allowed in sv_RQ3_messageInterval 
// seconds.  If this is exceeded, the player is given a warning
// or banned from messaging for a period of time.
seta sv_RQ3_messageMaxCount 4

// Maximum number of warnings before a ban is initiated. 
seta sv_RQ3_messageMaxWarnings 1

// Timeout period for warning in seconds. 
seta sv_RQ3_messageWarnTime 15

// Timeout period for bans in seconds. Typically, this should 
// be longer than the warning time. If set to zero, 
// clients are disconnected from the server. Warnings 
// are reset after a ban is committed. 
seta sv_RQ3_messageBanTime 60

// RQ3 teamkill settings
seta g_RQ3_maxteamkills 3 
seta g_RQ3_twbanrounds 1 
seta g_RQ3_tkbanrounds 1 

// set this to 1 to activate MatchMode. g_gametype must be 4 for MatchMode
seta g_RQ3_matchmode 0

// allow a referee in matchmode
seta g_RQ3_AllowRef 1

// the number of allowed referees
seta g_RQ3_maxRefs 1

// the referee's password
//seta g_RQ3_RefPassword "changeme"

// Max players per team. Additional people will be forced to be subs or spectators. 0 = disabled
seta g_RQ3_maxplayers 0 

// Matchmode setting, gives or takes away abilities from Captains. Use it like DMFLAGS.
// MMF_TEAMNAME   1
// MMF_TEAMMODEL  2
// MMF_UNREADY    4
// MMF_SETTINGS   8
// MMF_VOTEREF    16
seta g_RQ3_mmflags 31

// Toggles blood splats being dropped from bleeding players. (0 - disabled (default), 1 - enabled)
seta g_RQ3_bloodEject 0

// Maximum number of unique weapons a player can hold. 
seta g_RQ3_maxWeapons 2

// Maximum number of unique items a player can hold
seta g_RQ3_maxItems 1

// Toggle for "All Weapons" mode (0 - off/1 - on)
seta g_RQ3_allWeapons 0

// Toggle for "All Items" mode (0 - off/1 - on)
seta g_RQ3_allItems 0

// Toggle for individual Weapon Banning - works like dmflags 
// g_RQ3_weaponban values:
// MK23           1
// MP5            2
// M4             4
// M3             8
// HC            16
// SNIPER        32
// AKIMBO        64
// KNIFE        128
// GRENADE      256
//
// 256+128+64+32+16+8+4+2+1 = 511 means all weapons allowed
// Say I want to ban the sniper:
// Sniper = 32, so I just leave "32" out and get:
//
// 256+128+64+16+8+4+2+1 = 479

seta g_RQ3_weaponban 511

// Toggle for individual Item Banning - works like dmflags
// g_RQ3_itemban values:
// SILENCER       1
// SLIPPERS       2
// BANDOLIER      4
// KEVLAR         8
// LASER         16
// HELMET        32

seta g_RQ3_itemban 63
     
// Toggle for using Kevlar Helmet on the server or not
seta g_RQ3_haveHelmet 0

// Time in seconds for a player to be invulnerable after respawning. 
seta g_RQ3_respawnProtectTime 2

// Determines how long a player can remind idle before action is taken. 0 = disabled
seta g_RQ3_ppl_idletime 0

// Determines what action will be taken against an idle player.
// 0 = Play insane sound from Idle players location.
// 1 = Team none the idle player.
// 2 = Kick the idle player.
seta g_RQ3_idleaction 0

// sniper control. set this to 1 to make players with sniper spawn with it
// in stead of the pistol
seta g_RQ3_sniperup 0

// team game countdown. set this to 1 to enable
seta g_RQ3_tpcountdown 1

// gib settings.  0 = no gibs, 1 = sniper headshot gibs only. removes heads.
// 2 = 1 + really hard HC hits gib players. 3 = players explode.
seta g_RQ3_gib 3

// here you need to put the name of the .ini file you want to use if you are
// running a dedicated server.
seta g_RQ3_IniFile "example-rq3.ini"


// Enable dedicated server-side logging of player statistics at the 
// end of each game session. Tracks a variety of statistics that can 
// be parsed for whatever needs. 
// 0 - disabled, 1 - enabled (default) 
// sv_RQ3_statLog [0/1] : (default: 1) 
set sv_RQ3_statlog 1

// enable grenades by setting this to 1
seta g_RQ3_tgren 1

// limit chasecam for the dead.  (0 = off, 1 = team only, 2 = team eyes only)
seta g_RQ3_limchasecam 0

// rotate the map when one of the teams wins this many rounds
seta g_RQ3_roundlimit 0

// end the round after this many minutes
seta g_RQ3_roundtimelimit 3

// use this 
seta g_RQ3_cvarfile "cvar.cfg"

// show your own kill messages, 0 is like AQ2 1.5x and 1.0c, 1 is like TNG/Edition
seta g_RQ3_showOwnKills 0

// force your team to talk in messagemode2 only
seta g_RQ3_forceteamtalk 0

// add up to 4 additional master servers to report to 
seta sv_master4 "q3master.reactionquake3.com"
seta sv_master3 "q3master.gamesinferno.com" 
seta sv_master2 "master0.gamespy.com" 
seta sv_master1 "master3.idsoftware.com"

// And finally a map command to jumpstart the server.  This map will be
// loaded and after it ends, the rotation begins.
map urban2
